# cGELMassParticle Class Reference
[Module - GEL Dynamics Engine (Deformable Body Simulation)]

cGELMassParticle defines a simple mass particle point. More...

`#include <CGELMassParticle.h>`

List of all members.

## Public Member Functions
| cGELMassParticle ()
| Constructor of cGELMassParticle.
virtual | ~cGELMassParticle ()
| Destructor of cGELMassParticle.
void | setMass (double a_mass)
| Set the mass of the particle.
void | addForce (cVector3d &a_force)
| Add force to mass particle.
void | setExternalForce (cVector3d &a_force)
| Set an external force to mass particle.
void | computeNextPose (double a_timeInterval)
| Compute next position.
void | applyNextPose ()
| Update pose with new computed values.
void | clearForces ()
| Clear forces.
void | clearExternalForces ()
| Clear external force.
void | render ()
| Render node in OpenGL.
## Public Attributes
double | m_mass
| Mass property.
cVector3d | m_force
| Current force being applied.
cVector3d | m_acc
| Instant acceleration.
cVector3d | m_vel
| Instant velocity.
double | m_kDampingPos
| Linear damping.
bool | m_fixed
| If true, then mass is fixed in space and cannot move.
bool | m_useGravity
| If true, then gravity field is enabled.
cVector3d | m_gravity
| Gravity field.
cColorf | m_color
| Color used to display nodes.
cVector3d | m_pos
| Position.
cVector3d | m_nextPos
| Next position computed.
## Static Public Attributes
static double | default_kDampingPos = 5.00
| Default property - linear damping.
static double | default_mass = 0.1
| Default property - mass.
static cColorf | default_color
| Default property - color.
static bool | default_useGravity = true
| Default property - use of gravity field.
static cVector3d | default_gravity
| Default property - gravity field.
static bool | show_forces = true
| Default property - force display status.
static bool | scale_force_vector_display = 0.01
| Default property - force vector display magnitude.

## Detailed Description

cGELMassParticle defines a simple mass particle point.

## Member Function Documentation

void cGELMassParticle::render | ( |  | ) | `[inline]`

Render node in OpenGL.

Define the mass of the mass particle

The documentation for this class was generated from the following files:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/modules/GEL/CGELMassParticle.h
- D:/CHAI3D/build-2-0-0/2.0.0/win32/modules/GEL/CGELMassParticle.cpp

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.